Bug 230963 - net/freerdp: add options
Summary: net/freerdp: add options
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Koichiro Iwao
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-27 20:59 UTC by rozhuk.im
Modified: 2019-04-23 17:54 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (kevans)
rozhuk.im: merge-quarterly?


Attachments
add options (2.55 KB, patch)
2018-08-27 20:59 UTC, rozhuk.im
kevans: maintainer-approval+
Details | Diff
add few opts (2.55 KB, patch)
2018-12-25 16:40 UTC, rozhuk.im
no flags Details | Diff
replace truncated patch (3.86 KB, patch)
2018-12-25 23:13 UTC, rozhuk.im
no flags Details | Diff
add :BOOL= (3.88 KB, patch)
2018-12-25 23:23 UTC, rozhuk.im
no flags Details | Diff
Remove DIRECTFB option (3.77 KB, patch)
2019-04-16 09:28 UTC, rozhuk.im
rozhuk.im: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rozhuk.im 2018-08-27 20:59:27 UTC
Created attachment 196618 [details]
add options

FAAC - FAAC AAC encoder support
FAAD - FAAD AAC decoder support
GSM - GSM codec support
JPEG - JPEG image format support
LAME - LAME MP3 audio encoder support
OPENH264 - H.264 video codec support via OpenH264
PCSC - Smart card support (smart card device redirection)
Comment 1 Koichiro Iwao freebsd_committer 2018-08-28 00:41:07 UTC
+1

I'm happy if FAAC/FAAD options are enabled by default.
Comment 2 rozhuk.im 2018-09-02 02:05:55 UTC
Let maintainer decide this.
Comment 3 Kyle Evans freebsd_committer 2018-09-11 12:57:23 UTC
Patch looks good to me; I'm indifferent as to whether or not FAAC/FAAD should be defaults or not.
Comment 4 rozhuk.im 2018-11-06 16:28:34 UTC
ping
Comment 5 Kyle Evans freebsd_committer 2018-11-06 16:32:57 UTC
(In reply to Koichiro Iwao from comment #1)

Hi meta@,

Can you please commit this, since I'm not a ports committer? It has my approval whether you leave it as-is or set FAAC/FAAD as defaults.
Comment 6 Koichiro Iwao freebsd_committer 2018-12-25 00:38:38 UTC
(In reply to Kyle Evans from comment #5)
Sorry I missed your reply. I'll take this now. 
The patch needs to be modified since JPEG codec has been removed from FreeRDP.
https://github.com/FreeRDP/FreeRDP/issues/2543
Comment 7 rozhuk.im 2018-12-25 11:04:48 UTC
Are you sure?

CmakeLists.txt contain:
set(JPEG_FEATURE_TYPE "OPTIONAL")
set(JPEG_FEATURE_PURPOSE "codec")
set(JPEG_FEATURE_DESCRIPTION "use JPEG library")


On configure:
...
-- Skipping recommended feature GStreamer_1_0 for multimedia (multimedia redirection, audio and video playback)
-- Finding optional feature JPEG for codec (use JPEG library)
-- Found JPEG: /usr/local/lib/libjpeg.so (found version "80") 
-- Skipping optional feature x264 for codec (use x264 library)
--     Enable feature x264 using "-DWITH_X264=ON"
...


Also
cmake -L .
...
WITH_IPP:BOOL=OFF
WITH_JPEG:BOOL=OFF
WITH_LAME:BOOL=OFF
...
Comment 8 Koichiro Iwao freebsd_committer 2018-12-25 12:45:22 UTC
Read the link.(In reply to rozhuk.im from comment #7)
Comment 9 rozhuk.im 2018-12-25 16:40:20 UTC
(In reply to Koichiro Iwao from comment #6)

Sorry.
A bit more options:
DIRECTFB - DirectFB graphics support
SOXR - SoX resampler support via libsoxr
Comment 10 rozhuk.im 2018-12-25 16:40:58 UTC
Created attachment 200503 [details]
add few opts
Comment 11 rozhuk.im 2018-12-25 16:43:18 UTC
PS: I'm not sure that this work:
KERBEROS_CMAKE_BOOL=	WITH_GSSAPI_HEIMDAL
Probably there is shoud be 2 options ON: WITH_GSSAPI and WITH_GSSAPI_HEIMDAL
cant test it because mine system without kerberos.
Comment 12 rozhuk.im 2018-12-25 23:13:22 UTC
Created attachment 200516 [details]
replace truncated patch
Comment 13 rozhuk.im 2018-12-25 23:23:24 UTC
Created attachment 200518 [details]
add :BOOL=
Comment 14 Koichiro Iwao freebsd_committer 2019-04-16 08:16:19 UTC
testbuild@work
Comment 15 Koichiro Iwao freebsd_committer 2019-04-16 08:26:16 UTC
DirectFB option has been removed at r428330. Is esurrecting the option worth enough?
Comment 16 rozhuk.im 2019-04-16 09:28:37 UTC
Created attachment 203714 [details]
Remove DIRECTFB option

I see directfb unpopular technology in ports tree. Removed.
Comment 17 Kyle Evans freebsd_committer 2019-04-16 11:42:06 UTC
(In reply to rozhuk.im from comment #16)

Hi,

Please feel free to commit this at your discretion with my approval. Assuming it passes Q/A, I'm happy and we can always fiddle with defaults later if needed.
Comment 18 commit-hook freebsd_committer 2019-04-16 20:54:23 UTC
A commit references this bug:

Author: eugen
Date: Tue Apr 16 20:53:30 UTC 2019
New revision: 499122
URL: https://svnweb.freebsd.org/changeset/ports/499122

Log:
  net/freerdp: add some options

  Additionally, pet portlint a bit while I'm here.

  PR:		230963
  Submitted by:	Ivan Rozhuk <rozhuk.im@gmail.com>
  Approved by:	kevans (maintainer)

Changes:
  head/net/freerdp/Makefile
Comment 19 rozhuk.im 2019-04-23 17:54:56 UTC
Thanks!